Subject: Re: Regression: broken completion on modification time
From: "Nikolay Aleksandrovich Pavlov (ZyX)" <[email-masked]>
To: Bart Schaefer <[email-masked]>, zsh-workers <[email-masked]>
Date: Sat, 18 Jun 2016 01:49:15 +0300
List-Id: Zsh Workers List <zsh-workers.zsh.org>

18.06.2016, 01:34, "Bart Schaefer" <[email-masked]>:
> On Jun 17, 10:10pm, Nikolay Aleksandrovich Pavlov (ZyX) wrote:
> }
> } I would say "yes" just to check what possibilities is it talking
> } about. Question is why would I hit `<Tab>` in first place: if I did
> } not see this discussion I would not ever suggest that completing a
> } (mostly) numeric and in any case very short argument to `m` has any
> } sense.
>
> I see Oliver has already replied, but: Don't confuse the example (of
> completing in a glob qualifier) with the intent of the discussion,
> which is about presentation of the result for _dates. You could just
> as easily be completing after "find -mtime ".

Where I have exactly the same question: `-mtime` argument is still numeric (now without “mostly” if I am not mistaking) and short. And _dates is not used anywhere else as far as I see, `ag` finds it only in `/usr/share/zsh/5.2/functions/Completion/Zsh/_globquals` and `/usr/share/zsh/5.2/functions/Completion/Unix/_find` when searching in `/usr/share/zsh`.

Also I cannot find `_dates` in `man zshall`, so developers probably will not use it in third-party completions. Especially given that it is the same directory with _find (which means that without looking at the source code of that file and without knowing about `-mtime` completion one will think that there is `dates` *nix command, unless I am missing something and there is a list of helper functions anywhere outside of man pages, generated automatically because `ag` cannot find it in zsh git repository).